curl --request PATCH \
--url https://{defaultHost}/v1/manual_payment_methods/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manual_payment_method": {
"name": "Bank Transfer"
}
}
'import requests
url = "https://{defaultHost}/v1/manual_payment_methods/{id}"
payload = { "manual_payment_method": { "name": "Bank Transfer" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({manual_payment_method: {name: 'Bank Transfer'}})
};
fetch('https://{defaultHost}/v1/manual_payment_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f45fb968-47cb-499d-bb17-c63b15e965f5",
"object": "manual_payment_method",
"archived": false,
"archived_at": null,
"description": null,
"instructions": null,
"name": "Bank Transfer",
"reusable": true,
"discarded_at": null,
"created_at": 1789424531,
"updated_at": 1789424531
}Update
Updates a specific manual payment method.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
Whether or not this manual payment method is archived.
The description of this payment method that will be shown in the checkout.
The instructions that you want your customers to follow to pay for an order. These instructions are shown on the confirmation page after a customer completes the checkout.
The name of this manual payment method.
Time at which the object was archived. Measured in seconds since the Unix epoch.
Time at which the object was discarded. Measured in seconds since the Unix epoch.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?